
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>CentOS系统初始安装MySQL、PHP和Nginx的脚本 / iVAN</title>

    <meta name="description" content="CentOS系统初始安装MySQL、PHP和Nginx的脚本  代码如下 复制代码  #!/bin/sh  # by Jet Ma from www.javatang.com  # version v0.2 build20121011-1516  # Install Nginx, MySQL and PHP  # CentOS 5.5 64bit    # ----------- 配置信息 -----------  # MySQL安装目录  MYSQL_HOME='/usr/local/mysql'  # MySQL root账号的密码  MYSQL_RO">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">CentOS系统初始安装MySQL、PHP和Nginx的脚本</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2"> #!/bin/sh<br />
 # by Jet Ma from www.javatang.com<br />
 # version v0.2 build20121011-1516<br />
 # Install Nginx, MySQL and PHP<br />
 # CentOS 5.5 64bit<br />
  <br />
 # ----------- 配置信息 -----------<br />
 # MySQL安装目录<br />
 MYSQL_HOME='/usr/local/mysql'<br />
 # MySQL root账号的密码<br />
 MYSQL_ROOT_PASSWD='root'<br />
 # PHP安装目录<br />
 PHP_HOME='/usr/local/php'<br />
 # Nginx安装目录<br />
 NGINX_HOME='/usr/local/nginx'<br />
  <br />
 # ----------- 检测是否是root账号 ----------- <br />
 if [ $(id -u) != "0" ]; then<br />
     echo -e "e[1;31m This scripts MUST under root user or group!! e[0m"<br />
     echo<br />
     exit 2<br />
 fi<br />
  <br />
 # 首先打开账号权限文件<br />
 chattr -i /etc/passwd<br />
 chattr -i /etc/shadow<br />
 chattr -i /etc/group<br />
 chattr -i /etc/gshadow<br />
 # 关闭防火墙<br />
 /etc/init.d/iptables stop<br />
  <br />
 # ----------- 安装需要的基础依赖库 ----------- <br />
 echo -e "e[1;36m 安装需要的基础依赖库 ... e[0m"<br />
 LANG=C<br />
 yum -y install gcc gcc-c++ autoconf libjpeg libjpeg-devel libpng libpng-devel freetype freetype-devel libxml2 libxml2-devel zlib zlib-devel glibc glibc-devel glib2 glib2-devel bzip2 bzip2-devel ncurses ncurses-devel curl curl-devel e2fsprogs e2fsprogs-devel krb5 krb5-devel libidn libidn-devel openssl openssl-devel openldap openldap-devel nss_ldap openldap-clients openldap-servers<br />
  <br />
 # ----------- 安装MySQL ----------- <br />
 echo -e "e[1;36m 安装MySQL ... e[0m"<br />
 cd ~<br />
 mkdir downloads<br />
 cd downloads<br />
 wget -c http://dev.mysql.com/get/Downloads/MySQL-5.1/mysql-5.1.65.tar.gz/from/http://cdn.mysql.com/<br />
 tar xzvf mysql-5.1.65.tar.gz<br />
 cd mysql-5.1.65<br />
 ./configure --prefix=$MYSQL_HOME --with-charset=utf8 --with-extra-charsets=all --without-debug --enable-thread-safe-client --enable-assembler --with-client-ldflags=-all-static --with-mysqld-ldflags=-all-static --with-big-tables --with-readline --with-ssl --with-embedded-server --enable-local-infile --without-isam --with-plugins=innobase<br />
 make &amp;&amp; make install<br />
 # 设置启动的用户<br />
 groupadd mysql<br />
 useradd -s /sbin/nologin -M -g mysql mysql<br />
 cd $MYSQL_HOME<br />
 # 设置安装目录权限给mysql用户和用户组<br />
 chown -R mysql .<br />
 chgrp -R mysql .<br />
 # 安装数据库<br />
 bin/mysql_install_db --user=mysql<br />
 chown -R root .<br />
 chown -R mysql var<br />
 cp share/mysql/my-medium.cnf /etc/my.cnf<br />
 sed -i 's/skip-locking/skip-external-locking/g' /etc/my.cnf<br />
 cp share/mysql/mysql.server /etc/init.d/mysql<br />
 chmod +x /etc/init.d/mysql<br />
  /etc/init.d/mysql start<br />
  bin/mysqladmin -uroot password $MYSQL_ROOT_PASSWD<br />
  history -c<br />
  /etc/init.d/mysql restart<br />
  <br />
 # ----------- 安装PHP与PHP-FPM ----------- <br />
 echo -e "e[1;36m 安装PHP与PHP-FPM ... e[0m"<br />
 # 创建账号<br />
 groupadd www<br />
 useradd -s /sbin/nologin -M -g www www<br />
 # 下载libmcrypt，有两个文件<br />
 cd ~/downloads<br />
 wget -c "http://downloads.sourceforge.net/project/mcrypt/Libmcrypt/2.5.8/libmcrypt-2.5.8.tar.gz?ts=1347243907&amp;use_mirror=ncu"<br />
 wget -c "http://downloads.sourceforge.net/project/mcrypt/MCrypt/2.6.8/mcrypt-2.6.8.tar.gz?r=&amp;ts=1347244005&amp;use_mirror=nchc"<br />
 # 下载libmhash<br />
 wget -c "http://downloads.sourceforge.net/project/mhash/mhash/0.9.9.9/mhash-0.9.9.9.tar.bz2?ts=1347245105&amp;use_mirror=ncu"<br />
 # 首先安装libmcrypt<br />
 tar zxvf libmcrypt-2.5.8.tar.gz<br />
 cd libmcrypt-2.5.8<br />
 ./configure<br />
 make &amp;&amp; make install<br />
 ldconfig<br />
 cd libltdl/<br />
 ./configure --enable-ltdl-install<br />
 make &amp;&amp; make install<br />
 # 接下来安装mhash，因为mcrypt需要mhash的依赖<br />
 cd ../../<br />
 tar jxvf mhash-0.9.9.9.tar.bz2<br />
 cd mhash-0.9.9.9<br />
 ./configure<br />
 make &amp;&amp; make install<br />
 # 最后安装mcrypt<br />
 cd ..<br />
 tar xzxvf mcrypt-2.6.8.tar.gz<br />
 cd mcrypt-2.6.8<br />
 # 将mhash加入ld library路径中<br />
 export LD_LIBRARY_PATH=/usr/local/lib<br />
 ldconfig<br />
 ./configure<br />
 make &amp;&amp; make install<br />
 cd ..<br />
 # 下载PHP和对应版本的PHP-FPM<br />
 wget -c http://www.php.net/get/php-5.2.17.tar.gz/from/this/mirror<br />
 # 在http://php-fpm.org/downloads目录下选择与安装php版本一致的PHP-FPM，否则会引起兼容性问题<br />
 wget -c http://php-fpm.org/downloads/php-5.2.17-fpm-0.5.14.diff.gz<br />
 # 如果是5.2.x的版本的话，还需要下载PHP Hash冲突的补丁，5.3+不需要下载了<br />
 wget -c ps://github.com/laruence/laruence.github.com/raw/master/php-5.2-max-input-vars/php-5.2.17-max-input-vars.patch"&gt;https://github.com/laruence/laruence.github.com/raw/master/php-5.2-max-input-vars/php-5.2.17-max-input-vars.patch<br />
 tar xzvf php-5.2.17.tar.gz<br />
 # 将php-fpm以补丁的形式写入到php源码中<br />
 gzip -cd php-5.2.17-fpm-0.5.14.diff.gz | patch -d php-5.2.17 -p1<br />
 # 写入hash冲突补丁，php 5.3+不需要<br />
 patch -d php-5.2.17 -p1 &lt; php-5.2.17-max-input-vars.patch<br />
 cd php-5.2.17<br />
 # 这里将php安装到/usr/local/php目录下面，引用的mysql安装目录为/usr/local/mysql，这里需要根据实际情况进行修改<br />
 ./configure --prefix=$PHP_HOME --with-config-file-path=$PHP_HOME/etc --with-mysql=$MYSQL_HOME --with-mysqli=$MYSQL_HOME/bin/mysql_config --with-iconv-dir=/usr/local --with-freetype-dir --with-jpeg-dir --with-png-dir --with-zlib --with-libxml-dir=/usr --enable-xml --disable-rpath --enable-discard-path --enable-safe-mode --enable-bcmath --enable-shmop --enable-sysvsem --enable-inline-optimization --with-curl --with-curlwrappers --enable-mbregex --enable-fastcgi --enable-fpm --enable-force-cgi-redirect --enable-mbstring --with-mcrypt --with-gd --enable-gd-native-ttf --with-openssl --with-mhash --enable-pcntl --enable-sockets --with-ldap --with-ldap-sasl --with-xmlrpc --enable-zip --enable-soap<br />
 make ZEND_EXTRA_LIBS='-liconv'<br />
 make install<br />
 cp php.ini-dist /usr/local/php/etc/php.ini<br />
 cd ..<br />
 # 编译安装PHP的扩展模块<br />
 cd ~/downloads<br />
 # 安装&lt;a href="http://pecl.php.net/package/PDO_MYSQL" target="_blank"&gt;pdo_mysql&lt;/a&gt;<br />
 wget -c http://pecl.php.net/get/PDO_MYSQL-1.0.2.tgz<br />
 tar zxvf PDO_MYSQL-1.0.2.tgz<br />
 cd PDO_MYSQL-1.0.2<br />
 $PHP_HOME/bin/phpize<br />
 ./configure --with-php-config=$PHP_HOME/bin/php-config --with-pdo-mysql=$MYSQL_HOME<br />
 make &amp;&amp; make install<br />
 cd ..<br />
 # 安装eAccelerator<br />
 wget -c https://github.com/downloads/eaccelerator/eaccelerator/eaccelerator-0.9.6.1.tar.bz2<br />
 tar jxvf eaccelerator-0.9.6.1.tar.bz2<br />
 cd eaccelerator-0.9.6.1<br />
 $PHP_HOME/bin/phpize<br />
 ./configure --enable-shared --with-php-config=$PHP_HOME/bin/php-config<br />
 make &amp;&amp; make install<br />
 cd ..<br />
 # 修改php.ini文件来启用安装的第三方模块<br />
 sed -i -e "s:^extension_dir.*:extension_dir="$PHP_HOME/lib/php/extensions/no-debug-non-zts-20060613/":g" $PHP_HOME/etc/php.ini<br />
 # 增加扩展<br />
 cat &gt;&gt; $PHP_HOME/etc/php.ini &lt;&lt;EOF<br />
 extension=eaccelerator.so<br />
 extension=pdo_mysql.so<br />
 [eaccelerator]<br />
 eaccelerator.shm_size="32"<br />
 eaccelerator.cache_dir="/tmp/eaccelerator"<br />
 eaccelerator.enable="1"<br />
 eaccelerator.optimizer="1"<br />
 eaccelerator.check_mtime="1"<br />
 eaccelerator.debug="0"<br />
 eaccelerator.filter=""<br />
 eaccelerator.shm_ttl="0"<br />
 eaccelerator.shm_prune_period="0"<br />
 eaccelerator.shm_only="0"<br />
 EOF<br />
  <br />
 # 创建eaccelerator的临时目录<br />
 mkdir /tmp/eaccelerator<br />
 chmod 777 /tmp/eaccelerator<br />
  <br />
 # ----------- 安装Nginx ----------- <br />
 echo -e "e[1;36m 安装Nginx ... e[0m"<br />
 # 下载安装最新的pcre库<br />
 cd ~/downloads<br />
 wget -c ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.31.tar.gz<br />
 tar xzvf pcre-8.31.tar.gz<br />
 cd pcre-8.31<br />
 ./configure<br />
 make &amp;&amp; make install<br />
 cd ..<br />
 # 安装TCMalloc提升Nginx性能<br />
 # 如果是64位系统的话首先需要安装libunwind库，32位系统不需要安装。<br />
 wget -c http://download.savannah.gnu.org/releases/libunwind/libunwind-1.0.1.tar.gz<br />
 tar xzvf libunwind-1.0.1.tar.gz<br />
 cd libunwind-1.0.1<br />
 CFLAGS=-fPIC ./configure<br />
 make CFLAGS=-fPIC<br />
 make CFLAGS=-fPIC install<br />
 cd ..<br />
 # 安装google-perftools<br />
 wget -c https://gperftools.googlecode.com/files/gperftools-2.0.tar.gz<br />
 tar xzvf gperftools-2.0.tar.gz<br />
 cd gperftools-2.0<br />
 ./configure<br />
 make &amp;&amp; make install<br />
 echo "/usr/local/lib" &gt; /etc/ld.so.conf.d/usr_local_lib.conf<br />
 ldconfig<br />
 cd ..<br />
 # 安装Nginx<br />
 wget -c http://nginx.org/download/nginx-1.2.3.tar.gz<br />
 tar xzvf nginx-1.2.3.tar.gz<br />
 cd nginx-1.2.3<br />
 ./configure --prefix=$NGINX_HOME --user=www --group=www --with-http_stub_status_module --with-http_ssl_module --with-google_perftools_module<br />
 make &amp;&amp; make install<br />
 # 64位增加库的链接<br />
 ln -s /lib64/libpcre.so.0.0.1 /lib64/libpcre.so.1<br />
 ln -s /usr/local/lib/libprofiler.so /lib64/libprofiler.so.0<br />
 ln -s /usr/local/lib/libunwind.so /lib64/libunwind.so.8<br />
 # 启用TCMalloc<br />
 mkdir /tmp/tcmalloc<br />
 chmod 777 /tmp/tcmalloc<br />
 # 修改nginx.conf配置文件，在pid这行下面添加配置如下信息<br />
 sed -i -e 's:^#pid.*:&amp;ngoogle_perftools_profiles /tmp/tcmalloc;:g' $NGINX_HOME/conf/nginx.conf<br />
 # 增加日志自动切割脚本<br />
 echo '#!/bin/bash' &gt; ${NGINX_HOME}/sbin/cutlogs.sh<br />
 echo "mkdir -p ${NGINX_HOME}/logs/$(date +%Y)/$(date +%m)<br />
 mv ${NGINX_HOME}/logs/access.log ${NGINX_HOME}/logs/$(date +%Y)/$(date +%m)/access.$(date +%Y%m%d).log<br />
 mv ${NGINX_HOME}/logs/error.log ${NGINX_HOME}/logs/$(date +%Y)/$(date +%m)/error.$(date +%Y%m%d).log<br />
  <br />
 kill -USR1 `cat ${NGINX_HOME}/logs/nginx.pid`" &gt;&gt; ${NGINX_HOME}/sbin/cutlogs.sh<br />
 # 增加执行权限并添加到任务中<br />
 chmod +x ${NGINX_HOME}/sbin/cutlogs.sh<br />
 crontab -l &gt; tmpcrontab<br />
 echo "00 00 * * * /bin/bash ${NGINX_HOME}/sbin/cutlogs.sh" &gt;&gt; tmpcrontab<br />
 crontab tmpcrontab<br />
 rm -f tmpcrontab<br />
  <br />
 # 最后关闭账号权限文件<br />
 chattr +i /etc/passwd<br />
 chattr +i /etc/shadow<br />
 chattr +i /etc/group<br />
 chattr +i /etc/gshadow<br />
 # 打开防火墙<br />
 /etc/init.d/iptables start<br />
  <br />
 # ----------- 设置为开机启动 ----------- <br />
 echo -e "e[1;36m 将MySQL、PHP-FPM和Nginx设置为开机启动 ... e[0m"<br />
 cat &gt;&gt; /etc/rc.local &lt;&lt;EOF<br />
 /etc/init.d/mysql start<br />
 ulimit -SHn 65535<br />
 $PHP_HOME/sbin/php-fpm start<br />
 $NGINX_HOME/sbin/nginx<br />
 EOF<br />
  <br />
  <br />
 cat &lt;&lt; EOF<br />
 +--------------------------------------------------------------+<br />
     已经安装完成MySQL、PHP和Nginx<br />
     请使用 $PHP_HOME/bin/php -version 查看php是否成功运行并包含扩展<br />
     请使用 $NGINX_HOME/sbin/nginx -t 查看nginx配置信息是否成功<br />
     最后还需要对mysql、php-fpm和nginx配置文件进行优化处理！<br />
 +--------------------------------------------------------------+<br />
 EOF</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:40:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9d%83%e9%99%90/" title="权限">权限</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/php-fpm/" title="php-fpm">php-fpm</a>, <a href="https://www.iamivan.net/tag/make/" title="make">make</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>CentOS系统初始安装MySQL、PHP和Nginx的脚本的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0BjBjz.html" rel="bookmark">CentOS系统中安装MySQL和开启MySQL远程访问的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				安装MySQL  安装MySQL和php-mysql [root@sample ~]# yum -y install mysql-server [root@sample ~]# yum -y install php-mysql 配置MySQL [root@sample ~]#vim /etc/my.cnf 编辑MySQL的配置文件 [mysqld] datadir=/var/lib/mysql socket=/var/lib/mysql/mysql.sock # Default to using			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q7nap.html" rel="bookmark">Linux CentOS6&period;6系统中安装mysql源码包的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里以CentOS6.6系统中安装MySQL的源码包,进行讲解. 1. mysql源码包的下载 mysql安装包的官方下载地址为:http://dev.mysql.com/downloads/mysql/5.6.html 打开该下载地址后,在 &quot;Select Version:&quot;处,选择要下载的mysql的版本,我选择的是5.6.34:在&quot;Select Platform:&quot;处,选择适用的操作系统类型,由于是下载源码包,故这里我们要选择Source Code. 之后,会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6DVAb.html" rel="bookmark">Ubuntu系统中安装MySQL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL名字的来历MySQL是一个小型关系型数据库管理系统,开发者为瑞典MySQLAB公司,在2008年1月16号被Sun公司收购.MySQL被广泛地应用在Internet上的中小型网站中.由于其体积小.速度快.总体拥有成本低,尤其是开放源码这一特点,许多中小型网站为了降低网站总体拥有成本而选择了MySQL作为http://www.aliyun.com/zixun/aggregation/8613.html&quot;&gt;网站数据库. 与其他的大型数据库例如Oracle.DB2.SQL Server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkomKp.html" rel="bookmark">CentOS 下yum安装mysql、jdk和tomcat的方法&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0. 创建个人文件夹 # 使用 yum 安装tomcat 和 mysql # 创建文件夹 cd /usr/local mkdir hehe 1. 安装rzsz # 1. 安装rzsz yum list lrzsz* yum install lrzsz -y 2. 安装JDK,path之类的已经自动设置好了 # 2. 安装JDK yum list java* yum install java-1.7.0-openjdk* -y 3. 安装mysql # 3. 安装mysql yum list my			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3VY77z.html" rel="bookmark">linux CentOS 系统php和mysql命令加入到环境变量中&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Linux CentOS系统上安装完php和MySQL后,为了使用方便,需要将php和mysql命令加到系统命令中,如果在没有添加到环境变量之前,执行&quot;php -v&quot;命令查看当前php版本信息时时,则会提示命令不存在的错误,下面我们详细介绍一下在linux下将php和mysql加入到环境变量中的方法(假设php.mysql和apache分别安装在/phpstudy/server/php/./phpstudy/server/mysql/和/phpstudy/server/php/中).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDn8GBM.html" rel="bookmark">Linux&lpar;CentOS&rpar;系统下安装好apache&lpar;httpd&rpar;服务后，其他电脑无法访问的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Linux(CentOS)系统下安装好apache(httpd)服务后,其他电脑无法访问的原因 今天试了下在虚拟机上利用CentOS系统的yum命令安装好了httpd(apache2.4.6),然后在windows系统下访问此虚拟机的ip地址,却访问不了. 因为前段时间有知道过iptable的限制,所以在想是不是因为iptable限制了80端口呢! 所以在网上找了下iptable的命令,并且把tcp的80端口设置成允许任何IP都可以访问: iptables -I INPUT -p TCP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2YQB3z.html" rel="bookmark">mysql-重装系统后安装MySQL出现错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 重装系统后安装MySQL出现错误 重装系统后 安装MySQL 出现 you still have failling product requirements..... 解决方案 百度知道里面有相同问题,参考:http://zhidao.baidu.com/link?url=NOX0_f98RF3UtENRD1JGG_DPsJkF7WP5Pxcr-eZPl9qhTw4VmIoUQJYpbgEvEoDGXJg96izUmi1oFHJjwp2J4vbRkHpEX2O9MkDVGf24xLy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1vwyb.html" rel="bookmark">centos系统编译安装nginx&plus;php环境另加独立mysql教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  前端(nginx+php)ip:192.168.10.8 后端(独立mysql)ip:192.168.10.5 软件版本:libiconv-1.14.tar.gz mysql-5.1.63.tar.gz php-5.2.17.tar.gz php-5.2.17-fpm-0.5.14.diff.gz php-5.2.17-max-input-vars.patch 1.先在后端安装mysql 在192.168.10.5上只安装mysql.方法可以去看centos编译安装nginx+php-fpm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pddABXp.html" rel="bookmark">CentOS 6&period;4安装配置LNMP服务器&lpar;Nginx&plus;PHP&plus;MySQL&rpar;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				准备篇 1.配置防火墙,开启80端口.3306端口vi /etc/sysconfig/iptables-A INPUT -m state --state NEW -m tcp -p tcp --dport 80 -j ACCEPT #允许80端口通过防火墙-A INPUT -m state --state NEW -m tcp -p tcp --dport 3306 -j ACCEPT #允许3306端口通过防火墙 备注:很多网友把这两条规则添加到防火墙配置的最后一行,导致防火墙启动失败, 正确			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKY9Op.html" rel="bookmark" class="title">咖啡厅的梦幻复古人像PS后期处理</a>
					<div>
						咖啡厅的梦幻复古人像PS后期处理  [人员介绍] 摄影.后期:長安花(独立摄影师.服装设计师.大学摄影老师.红色控.古风控) 妆娘.助理:桃子(特效造型师.美容师.&quot;人肉(雾化器)打印机&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK0ddM.html" rel="bookmark" class="title">图片-jsp页面传参问题（参数长度太长）</a>
					<div>
						问题描述 jsp页面传参问题(参数长度太长) &lt; img src=&quot;&quot;../admin/image-read.action?icode=${data.icode}&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbE8dqz.html" rel="bookmark" class="title">一个比较通用的分页控件，完整的设计时支持和比较流行的分页模式（提供源码下载）</a>
					<div>
						这是我写的一个分页控件,功能如下: 1.支持设计时支持和两种分页模式,其中综合分页模式的效果如下: 普通分页模式的效果如下: 2.完善的设计时支持,包括自动套用格式和设计时面板设置: 使用方法: 在a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp50B6M.html" rel="bookmark" class="title">jsp生成html---pnews</a>
					<div>
						js|生成html &lt;%@ page contentType=&quot;text/html; charset=gb2312&quot;%&gt;&lt;%@ page import=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyqGeb.html" rel="bookmark" class="title">测试网络和网间吞吐量的方法和应用</a>
					<div>
						&quot;网速测试&quot;可以从很多的方面来解释,在互联网上网人的角度来说主要关心的是通过互联网访问网络资源的速度.为此,有很多的网站也提供了测试从访客到该站点访问速度的测试脚本和服务.这种的测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7xdab.html" rel="bookmark" class="title">解决ASP&period;NET中目录访问权限的问题</a>
					<div>
						症状:从 ASP.NET 应用程序,访问远程增强安全性的资源时可能会收到以下错误信息 登录失败:未知用户名或错误密码. 解决办法: 1 在 Web 服务器上修改 ASPNET 帐户的密码为 passw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P018M.html" rel="bookmark" class="title">如何保护MySQL中的重要数据</a>
					<div>
						在日常的工作中,保护数据免受未授权用户的侵犯是系统管理员特别关心的问题.如果你目前用的是MySQL,就可以使用一些方便的功能来保护系统,来大大减少机密数据被未授权用户访问的风险. 企业最有价值的资产通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG5j1p.html" rel="bookmark" class="title">拯救Win XP系统假死3招&OpenCurlyDoubleQuote;妙计&rdquo;</a>
					<div>
						使用Windows XP时间比较长后,有时运行会很不流畅,甚至会不响应鼠标键盘对操作.很多时候是系统的假死.和真正的死机不同,假死完全可以被&quot;救活&quot;.假死的根源在于 explore ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk1gLb.html" rel="bookmark" class="title">电脑突然没有声音怎么办</a>
					<div>
						随着生活的提高,电脑也已经随着逐步的普及到我们的生活,可以说在生活中我们已经离不开电脑了.就比如的,我们会经常使用电脑,&quot;看电影&quot;&quot;听歌&quot;&quot;让孩子听音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLano0z.html" rel="bookmark" class="title">Office 2016公众预览版下载安装教程</a>
					<div>
						  昨日,Office 2016公众预览版随着Win10预览版最新版的发布而发布,很多用户可能已经体验到了这个版本的新特性.不过,由于该版本目前的下载页面为英文版,因此可能有些用户不太习惯当前该网站的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrYAGM.html" rel="bookmark" class="title">pcl点云可视化格式问题</a>
					<div>
						问题描述 pcl点云可视化格式问题 点云可视化时如何将点云数据txt格式变为Pcl格式,小白求教.(点云数据是别人给的) 解决方案 PCL点云可视化及滤波处理PCL可视化显示点云					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo5eQb.html" rel="bookmark" class="title">c   文件读写-在C语言中读取闻见为UTF-8的汉字，英文混合的文件，又甚么函数可以不出现乱码</a>
					<div>
						问题描述 在C语言中读取闻见为UTF-8的汉字,英文混合的文件,又甚么函数可以不出现乱码 注意:是函数! 我要提取其中的汉字信息,如何是分配的内存不会有乱码 memset fgets fread fs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr9vaM.html" rel="bookmark" class="title">百度统计披露国内浏览器市场份额最新变化</a>
					<div>
						百度统计发布的最新统计数据显示,自北京时间3月15日中午12点正式发布以来,IE 9.0正式版受到了国内网友的热烈欢迎.截止到北京时间3月22日24点,IE 9.0在国内市场占有率达到了0.42%,排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6vy6M.html" rel="bookmark" class="title">求解答一下-弄不懂为什么会输出这个值</a>
					<div>
						问题描述 弄不懂为什么会输出这个值 /* ifdef.c -- uses conditional compilation */#include #define JUST_CHECKING#define ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm650az.html" rel="bookmark" class="title">《AutoCAD 2014中文版实用教程》一一1&period;3 绘图区</a>
					<div>
						1.3 绘图区 AutoCAD 2014中文版实用教程 绘图区是指标题栏下方的大片空白区域,绘图区域是用户使用AutoCAD绘制图形的区域,用户完成一幅设计图形的主要工作都是在绘图区域中完成的. 绘图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmeRqM.html" rel="bookmark" class="title">原来网络营销也可以玩的如此的另类</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在更多的人开始做网络营销了,于是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR4d3b.html" rel="bookmark" class="title">Alluxio 1&period;4版本的重要新特性介绍</a>
					<div>
						Alluxio 1.4.0已经发布了大量的新功能和改进.本篇博客介绍Alluxio 1.4.0开源版本的一些重要特性. • 改进的Alluxio底层存储API • 文件系统REST接口 • 数据包流  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xW9Xb.html" rel="bookmark" class="title">cascading基本概念</a>
					<div>
						这是cascading官方userguide的中文翻译,其中有些概念看过一段时间又忘了,在此做个记录,一是方便自己复习,二是方便新手. 关于cascading我不想多说了,你如果写过原生mapredu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0RQvp.html" rel="bookmark" class="title">求助：nova-network部署网络后，配置secgroup-rule没有立即生效，很不合理。</a>
					<div>
						问题描述 nova-network部署请教,非常感谢:kilo版本,完全根据官方doc使用nova-network部署后,启动一个instance-1,进行互通性测试:1)instance-1ping ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjxrZM.html" rel="bookmark" class="title">几个知名英文搜索引擎的优劣比较</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 AltaVista ----Alt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRq90p.html" rel="bookmark" class="title">新手站长常犯的十大错误</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 新手站长正所谓的初生牛犊不虎,常常会犯普通站长不该犯的明显错误,走了不少前人走过的弯路,实在可惜.特在此将常见的十大错误总结如下,以期后来人能少走些弯路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodA8gM.html" rel="bookmark" class="title">java- Java IO</a>
					<div>
						  这是java io 比较基本的一些处理流,除此之外我们还会提到一些比较深入的基于io的处理类,比如console类,SteamTokenzier,Externalizable接口,Serializ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRJxZp.html" rel="bookmark" class="title">阿里宣布Atlas开源，提升大规模团队移动开发效率</a>
					<div>
						继 Weex 之后,阿里在移动技术领域又有开源大动作. 3月13日,手机淘宝安卓客户端容器化框架 Atlas 正式宣布开源.Atlas 由阿里巴巴移动团队自研,以容器化思路解决大规模团队协作问题,实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB8nqz.html" rel="bookmark" class="title">网络营销系列二：RSS 阅读追踪</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 ◎RSS 订阅营销的精准难题 事实上,RSS 订阅营销之所以做不到追踪 用户行为,正是因为其开放特质.目前大部分 网站经营者都提供公开的RSS Feed ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJNxQp.html" rel="bookmark" class="title">LinkedIn开源Dr&period; Elephant</a>
					<div>
						今天LinkedIn宣布开源Dr. Elephant,Dr. Elephant能够很好的帮助用户理解.分析和优化Hadoop和Spark的工作流.LinkedIn在去年第八届Hadoop Summit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWg4mM.html" rel="bookmark" class="title">互联网公司员工持股现状：持股10&percnt;以上凤毛麟角</a>
					<div>
						员工股权激励不仅是公司治理的重要手段,一定程度反映了创业BOSS在面对金钱和员工关怀的态度和胸怀.当然,在创业过程中为了企业生存需要引入投资方,使得绝大部分股权旁落他人,实在没有股票期权可分也是没办法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE56Rp.html" rel="bookmark" class="title">Android编程实现给Button添加图片和文字的方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android编程实现给Button添加图片和文字的方法.分享给大家供大家参考,具体如下: //为按钮添加图片和文字的方法 public Spanned getSpan(int id,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5leZz.html" rel="bookmark" class="title">不好处理的sql语句&amp;amp&semi;amp&semi;gt&semi;&amp;amp&semi;amp&semi;gt&semi;&amp;amp&semi;amp&semi;gt&semi;&amp;amp&semi;amp&semi;gt&semi;</a>
					<div>
						问题描述 SELECT * FROM tableName where charindex( (select substring(mobNumber,1,3) from tableName),'134, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnvP8p.html" rel="bookmark" class="title">java如何实现将数据从一个数据库导入到另一个数据库</a>
					<div>
						问题描述 java如何实现将数据从一个数据库(Oracle)导入到另一个数据库(SQL Server),有没有一些工具可以实现这样的功能? 解决方案 最简单就是使用2个datasource,jdbc批 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWP2rp.html" rel="bookmark" class="title">【PHP】PHP转换图片为ico格式源码</a>
					<div>
						Class &lt;?php namespace App\Libs; class Iconv { function phpmake_ico() { return true; } function GD ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
